@import url('https://fonts.googleapis.com/css2?family=Mulish:wght@200;600&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Mulish', sans-serif;
    scroll-behavior: smooth;
}

a,li {
    text-decoration: none;
    list-style: none;
}

.page {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

body {
    color: #313131;
}

header {
    padding: 50px 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    width: 100%;
}

header .logo {
    width: 150px;
}

header .logo img{
    width: 100%;
}

header .nav {
    display: flex;
    align-items: center;
    gap: 10px;
}
header .nav > ul {
    display: flex;
    gap: 5px;
}

header .nav .language {
    position: relative;
    width: 50px;
    cursor: pointer;
}

header .nav .language .textBox {
    width: 100%;
    padding: 5px;
    user-select: none;
    color: #8D53FF;
    border-radius: 5px;
    background-color: #ffffff;
    border: none;
    outline: none;
    cursor: pointer;
}

header .nav .language::before {
    content: '';
    display: block;
    position: absolute;
    right: 7px;
    top: 7px;
    z-index: 10000;
    width: 5px;
    height: 5px;
    border: 1px solid #8D53FF;
    border-top: 1px solid transparent;
    border-right: 1px solid transparent;
    transform: rotate(-45deg);
    cursor: pointer;
}

header .nav .language .swith_lang {
    position: absolute;
    top: 30px;
    display: none;
    padding: 5px;
    background-color: white;
    border-radius: 6px;
    overflow: hidden;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, .2);
    color: #8D53FF;
}
header .nav .language .swith_lang div {
    padding: 5px;
}

header .nav .language.active .swith_lang {
    display: block;
}

header .nav ul li a {
    display: block;
    padding: 10px 15px;
    color: #8D53FF;
    font-size: 18px;
}

header .nav ul .nav_elem {
    position: relative;
    cursor: pointer;
    border-radius: 10px;
    background-color: #ffffff;
    border: 1px solid #c6a9ff;
}

header .nav ul .nav_elem:hover .dropdown {
    opacity: 1;
    visibility: visible;
}

header .nav ul li .dropdown {
    margin-top: 10px;
    position: absolute;
    right: 0;
    width: 320px;
    background: white;
    border-radius: 10px;
    filter: drop-shadow(0px 0px 3px rgba(0,0,0,.2));
    opacity: 0;
    visibility: hidden;
    transition: 0.3s;
    z-index: 999;
}

header .nav ul li .dropdown a {
    color: #8D53FF;
}

header .nav ul li .dropdown::after {
    content: '';
    position: absolute;
    top: -10px;
    right: 15px;
	width: 0;
	height: 0;
	border-left: 10px solid transparent;
	border-right: 10px solid transparent;
    border-bottom: 10px solid white;
}

header .nav ul li .dropdown .price {
    text-align: center;
    border: 1px solid #8D53FF;
    margin: 10px;
    border-radius: 10px;
    padding: 5px;
    transition: 0.2s;
}

header .nav ul li .dropdown .price:hover {
    background: #8D53FF;
    color: white;
}

.intro {
    min-height: 100vh;
    background-image: url("../img/bg.png");
    background-repeat: no-repeat;
    background-position: top right;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 100px;
}

.intro .content {
    width: 600px;
}

.intro h1 {
    font-size: calc(60vw / 20.00);
    padding-bottom: 20px;
}

.intro p {
    font-size: calc(20vw / 16.66);
    padding-bottom: 30px;
}

.intro .btns {
    display: flex;
    gap: 20px;
}

.intro .btns a {
    padding: 10px 30px;
    border-radius: 10px;
    transition: .3s;
}

.intro .btns a:nth-child(1) {
    background: #8D53FF;
    color: white;
}

.intro .btns a:nth-child(1):hover {
    box-shadow: 0px 0px 3px #8D53FF;
}

.intro .btns a:nth-child(2) {
    border: 1px solid #8D53FF;
    color: #8D53FF;
}

.intro .sale {
    position: absolute;
    left: 100px;
    bottom: 30px;
}

.intro .sale p {
    font-size: 20px;
}

.intro .sale span {
    color: #8D53FF;
}

.contact {
    position: fixed;
    right: calc(2.4% + .3em);
    bottom: 30px;
    z-index: 999;
}

.contact_item {
    position: relative;
}

.contact_elem {
    position: relative;
    width: 70px;
    height: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    box-shadow: 0px 3px 3px rgba(0,0,0,.2);
    cursor: pointer;
    background-color: white;
}



.contact_elem i {
    position: absolute;
    font-size: 30px;
}

.contact_elem i.mas {
    display: block;
}

.contact_elem svg.clos {
    display: none;
    width: 40px;
}

.contact_item .contact_elem span {
    position: absolute;
  right: 88px;
  width: max-content;
  background-color: #555;
  color: white;
  padding: 5px 10px;
  border-radius: 3px;
  display: block;
  transition: all .3s;
}

.contact_item .contact_elem span:after {
    content: '';
    position: absolute;
    top: 6px;
    right: -13px;
    width: 0;
	height: 0;
	border-top: 8px solid transparent;
	border-left: 13px solid #555;
	border-bottom: 8px solid transparent;
}

.contact .contact_item ul.dropdown_contact {
    position: absolute;
    right: 10px;
    bottom: 70px;
}

.contact .contact_item ul.dropdown_contact li {
    position: absolute;
    right: 0;
    top: 10px;
    transition: all .3s;
    transform: translate(0, 0%);
    opacity: 0;
    visibility: hidden;
}

.contact .contact_item ul.dropdown_contact a {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 10px;
    border-radius: 50%;
    box-shadow: 0px 3px 3px rgba(0,0,0,.2);
    cursor: pointer;
    background-color: white;
}

.contact .contact_item ul.dropdown_contact a i {
    font-size: 20px;
}

.contact .contact_item ul.dropdown_contact a span {
    position: absolute;
    top: 10px;
    right: 70px;
    width: max-content;
    background-color: #555;
    color: white;
    padding: 5px 10px;
    border-radius: 3px;
    transition: all .3s;
    opacity: 0;
    visibility: hidden;
}
.contact .contact_item ul.dropdown_contact a span::after {
    content: '';
    position: absolute;
    top: 6px;
    right: -13px;
    width: 0;
	height: 0;
	border-top: 8px solid transparent;
	border-left: 13px solid #555;
	border-bottom: 8px solid transparent;
}

.contact .contact_item ul.dropdown_contact a:hover span{
    opacity: 1;
    visibility: visible;
}

.contact .contact_item.active .contact_elem svg.clos {
    display: block;
}

.contact .contact_item.active .contact_elem i.mas {
    display: none;
}

.contact .contact_item.active .contact_elem span {
    display: none;
}

.contact .contact_item.active ul.dropdown_contact li {
    opacity: 1;
    visibility: visible;
}


.contact .contact_item.active ul.dropdown_contact li:nth-last-child(1) {
    transform: translate(0, -110%);
}

.contact .contact_item.active ul.dropdown_contact li:nth-last-child(2) {
    transform: translate(0, -210%);
}

.contact .contact_item.active ul.dropdown_contact li:nth-last-child(3) {
    transform: translate(0, -310%);
}


/* service */

.service {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 30px;
}

.service h2 {
    padding-bottom: 50px;
}

.service .service_items {
    display: flex;
    text-align: center;
    gap: 50px;
    flex-wrap: wrap;
}

.service .service_items .item {
    max-width: 300px;
}

.service .service_items .item .img_item {
    width: 100px;
    height: 100px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    box-shadow: inset 3px 3px 3px rgba(0,0,0,.2);
}

.service .service_items .item .img_item img {
    width: 40px;
    height: 40px;
    object-fit: contain
}

.service .service_items .item .content_item h3 {
    padding: 20px 0;
}

.service .service_items .item .content_item p span {
    color: #8D53FF; 
}

.calculator {
    padding: 100px 100px;
}

.calculator h2 {
    text-align: center;
}

/* radio */

.radio-inputs {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    border-radius: 0.5rem;
    background-color: #EEE;
    box-shadow: 0 0 0px 1px rgba(0, 0, 0, 0.06);
    padding: 0.25rem;
    font-size: 14px;
  }
  
  .radio-inputs .radio {
    flex: 1 1 auto;
    text-align: center;
  }
  
  .radio-inputs .radio input {
    display: none;
  }
  
  .radio-inputs .radio .name {
    display: flex;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    border-radius: 0.5rem;
    border: none;
    padding: .5rem 0;
    color: rgba(51, 65, 85, 1);
    transition: all .15s ease-in-out;
  }
  
  .radio-inputs .radio input:checked + .name {
    background-color: #fff;
    font-weight: 600;
  }

/* radio end */

.calculator_box {
    padding-top: 50px;
    display: flex;
    justify-content: center;
    gap: 10px;
    align-items: center;
}

.calculator_box img {
    width: 500px;
}

.calculator_box form {
    max-width: 500px;
    width: 100%;
}

.calculator_box form select {
  width: 100%;
  height: 50px;
  padding: 0 20px;
  margin: 10px 0;
  border-radius: 10px;
  border: none;
  background-color: #EEE;
  color: #747474;
  outline: none;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  cursor: pointer;
}

.calculator_box form .select_wrapper {
    position: relative;
}

.calculator_box form .select_wrapper::before {
    content: "";
    position: absolute;
    top: 45%;
    right: 20px;
    transform: translateY(-50%) rotate(-45deg);
    display: block;
    width: 8px;
    height: 8px;
    border: 1px solid #747474;
    border-top: none;
    border-right: none;
    pointer-events: none;

}

.calculator_box form div {
    text-align: center;

    font-weight: 600;
}

.calculator_box form p {
    margin: 15px;
  font-size: 14px;
  text-align: center;
}

.calculator_box form p span {
    color: #8D53FF;
    font-weight: 600;
}

.calculator_box form input:not(input[type="range"]) {
    width: 100%;
    height: 60px;
    padding: 0 20px;
    margin: 10px 0;
    border-radius: 10px;
    border: none;
    box-shadow: 0px 3px 3px rgba(0,0,0,.2);
    color: #747474;
    outline: none;
}

.calculator_box form .switch_one,
table.switch_one {
    display: block;
}

.calculator_box form .switch_two,
table.switch_two {
    display: none;
}

.calculator_box form .full_user {
    display: flex;
    gap: 10px;
}

.calculator_box form input[type="range"] {
    width: 100%;
}

.calculator_box form button {
    width: 100%;
    height: 60px;
    color: white;
    background-color: #8D53FF;
    border: none;
    outline: none;
    border-radius: 6px;
    cursor: pointer;
    margin-top: 10px;
}

.calculator_box form .number_input {
    display: flex;
    gap: 10px;
    align-items: center;
}
.calculator_box form .number_input input[type="number"] {
    appearance: textfield;
    -webkit-appearance: textfield;
    -moz-appearance: textfield;
}
.calculator_box form .number_input span {
    background-color: transparent;
    border: 1px solid #8D53FF;
    width: 100%;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 6px;
    cursor: pointer;
}
.calculator_box form .number_input span i {
    color: #8D53FF;
}

/* Accordion */

.faq {
    background-color: #eeeeee;
    padding-top: 50px;
    padding-bottom: 135px;
}

.container {
  margin: 0 auto;
  /* padding: 4rem; */
  max-width: 1200px;
  width: 100%;
}

.container h2 {
    padding: 30px 0;
}

.accordion .accordion-item {
  border-bottom: 1px solid #e5e5e5;
  border-radius: 10px;
  
}
.accordion .accordion-item button[aria-expanded=true] {
  border-bottom: 1px solid #8D53FF;
  border-radius: 10px;
}
.accordion button {
  position: relative;
  display: block;
  text-align: left;
  width: 100%;
  padding: 1em 0;
  color: #747474;
  font-size: 1.15rem;
  font-weight: 400;
  border: none;
  background: none;
  outline: none;
}
.accordion button:hover, .accordion button:focus {
  cursor: pointer;
  color: #8D53FF;
}
.accordion button:hover::after, .accordion button:focus::after {
  cursor: pointer;
  color: #8D53FF;
  border: 1px solid #8D53FF;
}
.accordion button .accordion-title {
  padding: 1em 1.5em 1em 0;
}
.accordion button .icon {
  display: inline-block;
  position: absolute;
  top: 18px;
  right: 0;
  width: 22px;
  height: 22px;
  /* border: 1px solid; */
  border-radius: 22px;
}
.accordion button .icon::before {
  display: block;
  position: absolute;
  content: "";
  top: 9px;
  left: 5px;
  width: 10px;
  height: 2px;
  background: currentColor;
}
.accordion button .icon::after {
  display: block;
  position: absolute;
  content: "";
  top: 5px;
  left: 9px;
  width: 2px;
  height: 10px;
  background: currentColor;
}
.accordion button[aria-expanded=true] {
  color: #8D53FF;
}
.accordion button[aria-expanded=true] .icon::after {
  width: 0;
}
.accordion button[aria-expanded=true] + .accordion-content {
  margin-top: 10px;
  opacity: 1;
  max-height: max-content;
  transition: all 200ms linear;
  will-change: opacity, max-height;
}
.accordion .accordion-content {
  opacity: 0;
  max-height: 0;
  overflow: hidden;
  transition: opacity 200ms linear, max-height 200ms linear;
  will-change: opacity, max-height;
  border: 1px solid #e5e5e5;
  padding: 0 20px;
  border-radius: 10px;
  box-shadow: 0px 0px 3px rgba(0, 0, 0, .1);
}

.accordion .accordion-content li {
    list-style: disc;
    margin: 0 20px;
}

.accordion .accordion-content p {
  font-size: 1rem;
  font-weight: 300;
  margin: 1em 0;
  line-height: 1.5;
}

.map {
    position: relative;
}

.map iframe {
    width: 100%;
}

.map .content_contact {
    position: absolute;
    background-color: #8D53FF;    
    top: 30%;
    left: 10%;
    width: 320px;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0px 0px 3px rgba(0,0,0,.2);
}

.map .content_contact h4 {
    padding-bottom: 15px;
    border-bottom: 1px solid rgba(255, 255, 255, .2);
    color: white;
}

.map .content_contact p {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 10px;
    margin-top: 10px;
}

.map .content_contact p:nth-last-child(1) {
    margin-bottom: 0;
} 

.map .content_contact p a {
    color: white;
    font-weight: 600;
    display: block;
    height: 100%;
    width: 100%;
}

.map .content_contact p svg {
    width: 50px;
    color: white;
    border: 1px solid ;
    border-radius: 50%;
    padding: 10px;
}

footer {
    margin-top: auto;
    background-color: #8D53FF;    
}

footer .logo {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 150px;
}


/* review */
.shadow-effect {
    background: #fff;
    padding: 20px;
    border-radius: 4px;
    text-align: center;
border:1px solid #ECECEC;
    box-shadow: 0 19px 38px rgba(0,0,0,0.10), 0 15px 12px rgba(0,0,0,0.02);
}
#customers-testimonials .shadow-effect p {
    font-family: inherit;
    font-size: 17px;
    line-height: 1.5;
    margin: 0 0 17px 0;
    font-weight: 300;
}
.testimonial-name {
    margin: -17px auto 0;
    display: table;
    width: auto;
    background: #c6a9ff;
    padding: 9px 35px;
    border-radius: 12px;
    text-align: center;
    color: #fff;
    box-shadow: 0 9px 18px rgba(0,0,0,0.12), 0 5px 7px rgba(0,0,0,0.05);
}
#customers-testimonials .item {
    text-align: center;
    padding: 10px;
        margin-bottom: 50px;
    opacity: .2;
    -webkit-transform: scale3d(0.8, 0.8, 1);
    transform: scale3d(0.8, 0.8, 1);
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}
#customers-testimonials .owl-item.active.center .item {
    opacity: 1;
    -webkit-transform: scale3d(1.0, 1.0, 1);
    transform: scale3d(1.0, 1.0, 1);
}
.owl-carousel .owl-item img {
    transform-style: preserve-3d;
    max-width: 90px;
    margin: 0 auto 17px;
}
#customers-testimonials.owl-carousel .owl-dots .owl-dot.active span,
#customers-testimonials.owl-carousel .owl-dots .owl-dot:hover span {
    background: #8D53FF;
    transform: translate3d(0px, -50%, 0px) scale(0.7);
    border-radius: 50%;
}
#customers-testimonials.owl-carousel .owl-dots{
display: inline-block;
width: 100%;
text-align: center;
}
#customers-testimonials.owl-carousel .owl-dots .owl-dot{
display: inline-block;
}
#customers-testimonials.owl-carousel .owl-dots .owl-dot span {
    background: #c6a9ff;
    display: inline-block;
    height: 20px;
    margin: 0 2px 5px;
    transform: translate3d(0px, -50%, 0px) scale(0.3);
    transform-origin: 50% 50% 0;
    transition: all 250ms ease-out 0s;
    width: 20px;
}

#btn_review {
    display: flex;
    justify-content: center;
    margin: 30px;
    padding: 10px 40px;
    color: #8D53FF;
    border: 1px solid;
    outline: none;
    border-radius: 8px;
    background-color: transparent;
    cursor: pointer;
}
/* review end */
.modal {
    position: fixed;
    top: 20%;
    left: 50%;
    transform: translate(-50%,-250%);
    z-index: 9999;
    max-width: 500px;
    width: 100%;
    border: 1px solid rgba(0, 0, 0, .1);
    padding: 20px;
    background-color: white;
    box-shadow: 0 30px 30px -30px rgba(27, 26, 26, 0.315);
    border-radius: 8px;
    visibility: hidden;
    opacity: 0;
    transition: .3s;
}

.modal form h3 {
    text-align: center;
}

.modal form input {
    height: 30px;
    margin: 10px 0;
}

.modal form input,
.modal form textarea {
    width: 100%;
    resize: none;
    border-radius: 6px;
    border: none;
    outline: none;
    box-shadow: 0px 3px 3px rgba(0,0,0,.2);
    padding: 10px;
}

.modal form button {
   width: 100%;
   height: 30px;
   margin-top: 10px;
   background-color: #8D53FF;
   border: none;
   color: white;
   cursor: pointer;
}

/* About */
.about {
    padding: 100px;
    margin: 0 auto;
}

.about h1 {
    text-align: center;
    padding: 70px 0;
}

.about .content {
    max-width: 1200px;
    width: 100%;
}

.about .content h3 {
    font-size: 30px;
}

.about .content p {
    font-size: 20px;
    padding-top: 20px;
}

.about .content article {
    text-align: center;
    font-size: 20px;
    padding-top: 20px;
    font-weight: 700;
}

.about .content ul h4 {
    padding: 30px 10px 20px 10px;
    
}

.about .content ul li {
    margin: 10px 20px;
    list-style: disc;
}

/* price */

table {
    text-align: center;
    margin-top: 20px;
}

table thead {
    background-color: #8D53FF;
    color: white
}
table thead th,
table tr td,
table tr th {
    height: 50px;
    padding: 0 5px;
}

#alert,
#alert_shop {
    position: fixed;
    top: 3%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    color: yellowgreen;
    border: 1px solid yellowgreen;
    width: 250px;
    height: 50px;
    border-radius: 10px;
    opacity: 0;
    visibility: hidden;
    transition: 0.5s;
    z-index: 999999;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 600;
    padding: 20px;
    text-align: center;
}
